%define upstream_name    Document-TriPart
%define upstream_version 0.024

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Read, write & edit a tri-part document (preamble, YAML::Tiny header, and body)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Document/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Any::Moose)
BuildRequires: perl(Carp::Clan)
BuildRequires: perl(File::AtomicWrite)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::Most)
BuildRequires: perl(YAML::Tiny)
BuildArch: noarch

%description
This distribution is meant to take the headache out of reading, writing,
and editing "interesting" documents. That is, documents with both content
and meta-data (via YAML::Tiny)

More documentation coming soon, check out the code and tests for usage and
examples. This is pretty beta, so the interface might change.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.24.0-2.mga3
+ Revision: 366737
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 27 2012 dlucio <dlucio> 0.24.0-1.mga3
+ Revision: 310634
- imported package perl-Document-TriPart

